{% extends 'user/theme.html' %}
{% load static %}

{% block styles %}
<meta http-equiv="refresh" content="10">
<link href="{% static 'user/css/dashboard.css' %}" type="text/css" rel="stylesheet">
{% endblock %}

{% block content %}
<br>
<div class="container-fluid">
  <div class="row">
    <div class="col-md-4">
      <div class="shadow_box">
        <canvas id="risk_chart" style="width:100%;max-width:600px"></canvas>
      </div>
    </div>
    <div class="col-md-4">
      <div class="shadow_box">
        <canvas id="alert_chart" style="width:100%;max-width:600px"></canvas>
      </div>
    </div>
    <div class="col-md-4">
      <div class="shadow_box">
        <div class="box">
          <i class="fa fa-microchip" aria-hidden="true"></i>
          <h3>Devices</h3>
          <h2>{{device_count}}</h2>
        </div>
      </div>
    </div>
  </div>
</div>

<div class="container-fluid mt-5 container-table">
  <div class="row font-head-row">
    <div class="col-md-2">RISK</div>
    <div class="col-md-2">Description</div>
    <div class="col-md-2">Date</div>
    <div class="col-md-2">Last updated</div>
    <div class="col-md-2">Device EUI</div>
    <div class="col-md-2">Gateway</div>
  </div>

  {% for data in risk_status %}
  <div class="row bg-selector">
    <div class="col-md-2"><div class="risk-div 
      {% if data.risk == 'HIGH' %}
      high
      {% elif data.risk == 'MEDIUM' %}
      medium
      {% elif data.risk == 'LOW' %}
      low
      {% endif %}
      "><i class="fa fa-exclamation-triangle" aria-hidden="true"></i> {{data.risk}}</div></div>
    <div class="col-md-2">{{data.description}}</div>
    <div class="col-md-2">{{data.date}}</div>
    <div class="col-md-2">{{data.last_check}}</div>
    <div class="col-md-2">{{data.devEUI}}</div>
    <div class="col-md-2">{{data.gateway}}</div>
  </div>

  {% endfor %}
  
</div>
<br><br><br>

<script>
  var xValues = ["LOW", "MEDIUM", "HIGH"];
  var yValues = ["{{risk_counts.0}}", "{{risk_counts.1}}", "{{risk_counts.2}}"];
  var barColors = [
    "#ebd834",
    "#eba834",
    "#eb3434"
  ];

  new Chart("risk_chart", {
    type: "doughnut",
    data: {
      labels: xValues,
      datasets: [{
        backgroundColor: barColors,
        data: yValues
      }]
    },
    options: {
      title: {
        display: true,
        text: "RISK"
      },
      legend: {
        position: 'bottom',
        align: 'center'
      }

    }
  });
</script>

<script>
  var xValues = ["Device Connection lost(2)", "Gateway connection lost(3)"];
  var yValues = [30, 70];
  var barColors = [
    "#132b59",
    "#afb3ba"
  ];

  new Chart("alert_chart", {
    type: "doughnut",
    data: {
      labels: xValues,
      datasets: [{
        backgroundColor: barColors,
        data: yValues
      }]
    },
    options: {
      title: {
        display: true,
        text: "ALERT"
      },
      legend: {
        position: 'bottom',
        align: 'start'
      }

    }
  });
</script>

{% endblock %}